Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.beans.beancontext
Class BeanContextServiceRevokedEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--java.beans.beancontext.BeanContextEvent
                  |
                  +--java.beans.beancontext.BeanContextServiceRevokedEvent

All Implemented Interfaces:
  Serializable

public class BeanContextServiceRevokedEvent
extends BeanContextEvent

This event type is used by the `BeanContextServiceRevokedListener` in order to identify the service being revoked.

See Also:
  Serialized Form

Field Summary
`protected Class` | `serviceClass` A `Class` reference to the service that is being revoked.

Fields inherited from class java.beans.beancontext.BeanContextEvent
`propagatedFrom`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`BeanContextServiceRevokedEvent(BeanContextServices bcs, Class sc, boolean invalidate)` Construct a `BeanContextServiceEvent`.

Method Summary
`Class` | `getServiceClass()` Gets the service class that is the subject of this notification
`BeanContextServices` | `getSourceAsBeanContextServices()` Gets the source as a reference of type `BeanContextServices`
`boolean` | `isCurrentServiceInvalidNow()` Reports if the current service is being forcibly revoked, in which case the references are now invalidated and unusable.
`boolean` | `isServiceClass(Class service)` Checks this event to determine whether or not the service being revoked is of a particular class.

Methods inherited from class java.beans.beancontext.BeanContextEvent
`getBeanContext, getPropagatedFrom, isPropagated, setPropagatedFrom`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serviceClass

    protected Class serviceClass

  A `Class` reference to the service that is being revoked.

Constructor Detail

### BeanContextServiceRevokedEvent

    public BeanContextServiceRevokedEvent(BeanContextServices bcs,
                                          Class sc,
                                          boolean invalidate)

  Construct a `BeanContextServiceEvent`.
  Parameters:
    `bcs` - the `BeanContextServices` from which this service is being revoked
    `sc` - the service that is being revoked
    `invalidate` - `true` for immediate revocation

Method Detail

### getSourceAsBeanContextServices

    public BeanContextServices getSourceAsBeanContextServices()

  Gets the source as a reference of type `BeanContextServices`
  Returns:
    the `BeanContextServices` from which this service is being revoked

### getServiceClass

    public Class getServiceClass()

  Gets the service class that is the subject of this notification
  Returns:
    A `Class` reference to the service that is being revoked

### isServiceClass

    public boolean isServiceClass(Class service)

  Checks this event to determine whether or not the service being revoked is of a particular class.
  Parameters:
    `service` - the service of interest
  Returns:
    `true` if the service being revoked is of the same class as the specified service

### isCurrentServiceInvalidNow

    public boolean isCurrentServiceInvalidNow()

  Reports if the current service is being forcibly revoked, in which case the references are now invalidated and unusable.
  Returns:
    `true` if current service is being forcibly revoked

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.